Package org.apache.sysds.runtime.controlprogram.federated

## Class FederatedWorkloadAnalyzer

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedWorkloadAnalyzer

    public class FederatedWorkloadAnalyzer
    extends Object

### Constructor Summary

Constructors
`FederatedWorkloadAnalyzer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `compressRun​(ExecutionContext ec, long tid)`
`void` `incrementWorkload​(ExecutionContext ec, long tid, Instruction ins)`
`void` `incrementWorkload​(ExecutionContext ec, ConcurrentHashMap<Long,​InstructionTypeCounter> mm, ComputationCPInstruction cpIns)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedWorkloadAnalyzer

    public FederatedWorkloadAnalyzer()

### Method Detail

#### incrementWorkload

    public void incrementWorkload​(ExecutionContext ec,
                                  long tid,
                                  Instruction ins)

#### compressRun

    public void compressRun​(ExecutionContext ec,
                            long tid)

#### incrementWorkload

    public void incrementWorkload​(ExecutionContext ec,
                                  ConcurrentHashMap<Long,​InstructionTypeCounter> mm,
                                  ComputationCPInstruction cpIns)